Rotate Tunnel Token
api/beta/tunnels/rotate_token
History
api/beta/tunnels/rotate_token Changed · +15 / -1 lines
- `string` - - `"message-batches-2024-09-24" or "prompt-caching-2024-07-31" or "computer-use-2024-10-22" or 31 more` + - `"message-batches-2024-09-24" or "prompt-caching-2024-07-31" or "computer-use-2024-10-22" or 38 more` - `"message-batches-2024-09-24"`
- `"agent-memory-2026-07-22"` - `"mid-conversation-tool-changes-2026-07-01"` + + - `"compact-2026-01-12"` + + - `"computer-use-2025-11-24"` + + - `"mcp-tunnels-2026-06-22"` + + - `"structured-outputs-2025-11-13"` + + - `"task-budgets-2026-03-13"` + + - `"thinking-display-updates-2026-08-18"` + + - `"ce-user-management-2026-07-13"` ## Body parameters
api/beta/tunnels/rotate_token Changed · +12 / -17 lines
# Rotate Tunnel Token ## Path parameters ## Headers ## Body parameters ## Returns ## Example ### Response (200) ## Rotate Tunnel Token ### Path Parameters ### Header Parameters ### Body Parameters ### Returns ### Example #### Response
---- -title: Rotate Tunnel Token -url: https://platform.claude.com/docs/en/api/beta/tunnels/rotate_token ---- +# Rotate Tunnel Token -## Rotate Tunnel Token +**POST** `/v1/tunnels/{tunnel_id}/rotate_token` -**post** `/v1/tunnels/{tunnel_id}/rotate_token` - The Tunnels API is in research preview. It requires the `anthropic-beta: mcp-tunnels-2026-06-22` header and may change without a deprecation period. It supersedes the Admin API endpoints at `/v1/organizations/tunnels`, which remain available during a migration window. Rotates a tunnel's connector token. Rotation invalidates the current token for new connections and returns a fresh value; established connections are not severed. A connector restarted after rotation must use the new value. -### Path Parameters +## Path parameters - `tunnel_id: string` -### Header Parameters +## Headers - `"anthropic-beta": optional array of AnthropicBeta`
- `"mid-conversation-tool-changes-2026-07-01"` -### Body Parameters +## Body parameters - `reason: optional string or null` Optional free-text reason for the rotation, recorded for audit. -### Returns + maxLength: 1024 -- `BetaTunnelToken object { id, tunnel_token, type }` +## Returns +- `BetaTunnelToken object` + A tunnel's connector token. - `id: string`
- `type: "tunnel_token"` - - `"tunnel_token"` +## Example -### Example - -```http +```bash curl https://api.anthropic.com/v1/tunnels/$TUNNEL_ID/rotate_token \ -H 'Content-Type: application/json' \ -H 'anthropic-version: 2023-06-01' \
-d '{}' ``` -#### Response +### Response (200) ```json {
api/beta/tunnels/rotate_token Changed · +3 / -1 lines
- `string` - - `"message-batches-2024-09-24" or "prompt-caching-2024-07-31" or "computer-use-2024-10-22" or 30 more` + - `"message-batches-2024-09-24" or "prompt-caching-2024-07-31" or "computer-use-2024-10-22" or 31 more` - `"message-batches-2024-09-24"`
- `"output-300k-2026-03-24"` - `"user-profiles-2026-03-24"` + + - `"user-profiles-2026-08-18"` - `"advisor-tool-2026-03-01"`
api/beta/tunnels/rotate_token First recorded · 137 lines, first recorded
## Rotate Tunnel Token ### Path Parameters ### Header Parameters ### Body Parameters ### Returns ### Example #### Response
The first capture of this source. The page was already there, and this is what it said.
---
title: Rotate Tunnel Token
url: https://platform.claude.com/docs/en/api/beta/tunnels/rotate_token
---
## Rotate Tunnel Token
**post** `/v1/tunnels/{tunnel_id}/rotate_token`
The Tunnels API is in research preview. It requires the `anthropic-beta: mcp-tunnels-2026-06-22` header and may change without a deprecation period. It supersedes the Admin API endpoints at `/v1/organizations/tunnels`, which remain available during a migration window.
Rotates a tunnel's connector token. Rotation invalidates the current token for new connections and returns a fresh value; established connections are not severed. A connector restarted after rotation must use the new value.
### Path Parameters
- `tunnel_id: string`
### Header Parameters
- `"anthropic-beta": optional array of AnthropicBeta`
Optional header to specify the beta version(s) you want to use.
- `string`
- `"message-batches-2024-09-24" or "prompt-caching-2024-07-31" or "computer-use-2024-10-22" or 30 more`
- `"message-batches-2024-09-24"`
- `"prompt-caching-2024-07-31"`
- `"computer-use-2024-10-22"`
- `"computer-use-2025-01-24"`
- `"pdfs-2024-09-25"`
- `"token-counting-2024-11-01"`
- `"token-efficient-tools-2025-02-19"`
- `"output-128k-2025-02-19"`
- `"files-api-2025-04-14"`
- `"mcp-client-2025-04-04"`
- `"mcp-client-2025-11-20"`
- `"dev-full-thinking-2025-05-14"`
- `"interleaved-thinking-2025-05-14"`
- `"code-execution-2025-05-22"`
- `"extended-cache-ttl-2025-04-11"`
- `"context-1m-2025-08-07"`
- `"context-management-2025-06-27"`
- `"model-context-window-exceeded-2025-08-26"`
- `"skills-2025-10-02"`
- `"fast-mode-2026-02-01"`
- `"output-300k-2026-03-24"`
- `"user-profiles-2026-03-24"`
- `"advisor-tool-2026-03-01"`
- `"managed-agents-2026-04-01"`
- `"cache-diagnosis-2026-04-07"`
- `"dreaming-2026-04-21"`
- `"thinking-token-count-2026-05-13"`
- `"server-side-fallback-2026-06-01"`
- `"server-side-fallback-2026-07-01"`
- `"fallback-credit-2026-06-01"`
- `"fallback-credit-2026-07-01"`
- `"agent-memory-2026-07-22"`
- `"mid-conversation-tool-changes-2026-07-01"`
### Body Parameters
- `reason: optional string or null`
Optional free-text reason for the rotation, recorded for audit.
### Returns
- `BetaTunnelToken object { id, tunnel_token, type }`
A tunnel's connector token.
- `id: string`
Stable identifier for the current token value. Changes when the token is rotated.
- `tunnel_token: string`
The connector token used to run the tunnel. Treat as a credential.
- `type: "tunnel_token"`
- `"tunnel_token"`
### Example
```http
curl https://api.anthropic.com/v1/tunnels/$TUNNEL_ID/rotate_token \
-H 'Content-Type: application/json' \
-H 'anthropic-version: 2023-06-01' \
-H 'anthropic-beta: mcp-tunnels-2026-06-22' \
-H "X-Api-Key: $ANTHROPIC_API_KEY" \
-d '{}'
```
#### Response
```json
{
"id": "id",
"tunnel_token": "tunnel_token",
"type": "tunnel_token"
}
```